Package com.smartgwt.client.types

# Enum ProcessValueType

java.lang.Object
java.lang.Enum<ProcessValueType>
com.smartgwt.client.types.ProcessValueType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ProcessValueType>`, `Constable`

public enum ProcessValueType extends Enum<ProcessValueType> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARRAY`
  generic array type - will convert value to an array of the same type as the existing value
  `BOOLEAN`
  the strings "true" and "false" become boolean true and false.
  `DECIMAL`
  values are converted via toString() and parsing as a decimal number.
  `INTEGER`
  values are converted via toString(), parsing as a number, and rounding to nearest integer.
  `RECORD`
  any input which is not already a Record or Map becomes null
  `STRING`
  values that are not already strings are converted via toString()

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ProcessValueType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ProcessValueType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRING

    public static final ProcessValueType STRING
    values that are not already strings are converted via toString()

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "string".

  - ### BOOLEAN

    public static final ProcessValueType BOOLEAN
    the strings "true" and "false" become boolean true and false. All other Strings non-empty String values are true, all numbers are true except 0, and all other non-null values are true

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "boolean".

  - ### DECIMAL

    public static final ProcessValueType DECIMAL
    values are converted via toString() and parsing as a decimal number. Invalid values trigger a transition to the `StateTask.failureElement`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "decimal".

  - ### INTEGER

    public static final ProcessValueType INTEGER
    values are converted via toString(), parsing as a number, and rounding to nearest integer. Invalid values trigger a transition to the `StateTask.failureElement`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "integer".

  - ### RECORD

    public static final ProcessValueType RECORD
    any input which is not already a Record or Map becomes null

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "record".

  - ### ARRAY

    public static final ProcessValueType ARRAY
    generic array type - will convert value to an array of the same type as the existing value

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "array".

- ## Method Details

  - ### values

    public static ProcessValueType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ProcessValueType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`